Subject: Offline Message from Josh sherrod: I just recieved my SWAGTRON in the mail it
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Thu, 24 Mar 2022 02:24:17 -0000

From: Josh sherrod <[email-masked]>
Phone: 2544343945
Location: Fort Worth, United States
URL: https://swagtron.com/
Department: SwagTron

I just recieved my SWAGTRON in the mail it was a warrior XL and it’s not even a day old and the left side of the board is unresponsive. We’ve tried calibrating it and charging it but it doesn’t seem to do anything and everytime I step on it, it flashes red and only the right side gets power

----
Zopim
https://www.zopim.com